Bug 443687 - Improve CA's agent and end entity interface to reflect disabled CRL cache
Summary: Improve CA's agent and end entity interface to reflect disabled CRL cache
Status: CLOSED ERRATA
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: CA   
(Show other bugs)
Version: 1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Andrew Wnuk
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 443788
TreeView+ depends on / blocked
 
Reported: 2008-04-22 21:02 UTC by Andrew Wnuk
Modified: 2015-01-04 23:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 23:28:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
disabling CRL cache (57.34 KB, image/png)
2008-04-22 21:12 UTC, Andrew Wnuk
no flags Details
displaying cached CRL (79.53 KB, image/png)
2008-04-22 21:15 UTC, Andrew Wnuk
no flags Details
displaying cached CRL (86.93 KB, image/png)
2008-04-22 21:17 UTC, Andrew Wnuk
no flags Details
Proposed improvement to CA's UI reflecting cache presence. (10.07 KB, text/plain)
2008-06-25 20:46 UTC, Andrew Wnuk
no flags Details

Description Andrew Wnuk 2008-04-22 21:02:56 UTC
Description of problem:
Improve CA's agent and end entity interface to reflect disabled CRL cache 

Version-Release number of selected component (if applicable): 1.0


How reproducible: always 


Steps to Reproduce:
1. Disable CRL cache using CA console
2. Open CA agent interface and select "Display Revocation List"
   Display CRL from cached CRL is available.
3. Open CA EE interface and select "Retrieval"
   and then "Import Revocation List"
   - Display the CRL information using cached CRL is available.
   - Checking whether certificate is included in CRL cache is available.
  
Actual results:
WUI elements referring to CRL cache are not disabled and results of requests
submitted against CRL cache do not indicate that cache is disabled. 

Expected results:
Requests submitted against CRL cache should indicate that cache is disabled
or WUI elements referring to CRL cache should be disabled.

Additional info:

Comment 1 Andrew Wnuk 2008-04-22 21:12:57 UTC
Created attachment 303379 [details]
disabling CRL cache

Comment 2 Andrew Wnuk 2008-04-22 21:15:46 UTC
Created attachment 303381 [details]
displaying cached CRL

Comment 3 Andrew Wnuk 2008-04-22 21:17:11 UTC
Created attachment 303382 [details]
displaying cached CRL

Comment 6 Andrew Wnuk 2008-06-25 20:46:25 UTC
Created attachment 310294 [details]
Proposed improvement to CA's UI reflecting cache presence.

This improvement will indicate CRL cache presence or lack of data on the result
pages corresponding to the requests for cached information.

base/util/src/netscape/security/util/PrettyPrintResources.java modified only to
match base/common/src/com/netscape/cmscore/cert/PrettyPrintResources.java

Comment 7 Matthew Harmsen 2008-06-25 23:03:26 UTC
+ mharmsen attachment (id=310294)

Comment 8 Andrew Wnuk 2008-06-25 23:59:59 UTC
svn commit base/ca/src/com/netscape/ca/CRLIssuingPoint.java
Sending        base/ca/src/com/netscape/ca/CRLIssuingPoint.java
Transmitting file data .
Committed revision 52.

svn commit base/common/src/com/netscape/certsrv/ca/ICRLIssuingPoint.java
Sending        base/common/src/com/netscape/certsrv/ca/ICRLIssuingPoint.java
Transmitting file data .
Committed revision 53.

svn commit base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
Sending        base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
Transmitting file data .
Committed revision 54.

svn commit base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
Sending        base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
Transmitting file data .
Committed revision 55.

svn commit base/common/src/com/netscape/cmscore/cert/CrlCachePrettyPrint.java
Sending        base/common/src/com/netscape/cmscore/cert/CrlCachePrettyPrint.java
Transmitting file data .
Committed revision 56.

svn commit base/common/src/com/netscape/cmscore/cert/PrettyPrintResources.java
Sending        base/common/src/com/netscape/cmscore/cert/PrettyPrintResources.java
Transmitting file data .
Committed revision 57.

svn commit base/common/src/UserMessages_en.properties
Sending        base/common/src/UserMessages_en.properties
Transmitting file data .
Committed revision 58.

svn commit base/util/src/netscape/security/util/PrettyPrintResources.java
Sending        base/util/src/netscape/security/util/PrettyPrintResources.java
Transmitting file data .
Committed revision 59.

svn commit linux/common/pki-common.spec
Sending        linux/common/pki-common.spec
Transmitting file data .
Committed revision 60.

svn commit linux/ca/pki-ca.spec
Sending        linux/ca/pki-ca.spec
Transmitting file data .
Committed revision 61.

svn commit linux/util/pki-util.spec
Sending        linux/util/pki-util.spec
Transmitting file data .
Committed revision 62.


Comment 18 Jenny Galipeau 2009-06-12 10:15:45 UTC
verified:

disabled cache from EE:

Problem Processing Your Request

The Certificate Manager encountered a problem while processing your request. The following is a detailed message of the error that occurred.

    CRL cache is not enabled for MasterCRL issuing point.

Please consult your local administrator for further assistance. The Certificate System logs may provide further information. 

From Agent Services:


Certificate revocation list contents

CRL cache is not enabled for MasterCRL issuing point.


Note You need to log in before you can comment on or make changes to this bug.